%def_enable shared
%def_enable static
%def_disable debug
%def_enable libpng
%def_with pic

%define bname gavl
Name: lib%bname
Version: 0.2.7
Release: alt1
Summary: Library for handling uncompressed audio- and video data
License: %gpl2plus
Group: System/Libraries
URL: http://gmerlin.sourceforge.net/
Source: %bname-%version.tar.bz2

%{?_enable_libpng:BuildRequires: libpng-devel}
BuildRequires: rpm-build-licenses

%description
Gavl is short for Gmerlin Audio Video Library. It defines generic types
for audio and video formats, which are applicable to a wide range of
multimedia applications. In addition, it provides conversion functions
from all possible formats to all other formats.


%package devel
Group: Development/C
Summary: Development files for %name
Requires: %name%{?_disable_shared:-devel-static} = %version-%release

%description devel
Gavl is short for Gmerlin Audio Video Library. It defines generic types
for audio and video formats, which are applicable to a wide range of
multimedia applications. In addition, it provides conversion functions
from all possible formats to all other formats.

If you want to write a multimedia application, gavl will help you a
lot: You don't have to mess around with the large varieties of
pixelformats, interleaving modes, audio sample formats and so on.

This package contains header files and documentation needed to develop
applications with %name.


%if_enabled static
%package devel-static
Summary: Static %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Gavl is short for Gmerlin Audio Video Library. It defines generic types
for audio and video formats, which are applicable to a wide range of
multimedia applications. In addition, it provides conversion functions
from all possible formats to all other formats.

This package contains static library to develop applications with
%name.
%endif


%package doc
Summary: %name documentation
Group: Documentation

%description doc
Gavl is short for Gmerlin Audio Video Library. It defines generic types
for audio and video formats, which are applicable to a wide range of
multimedia applications. In addition, it provides conversion functions
from all possible formats to all other formats.

If you want to write a multimedia application, gavl will help you a
lot: You don't have to mess around with the large varieties of
pixelformats, interleaving modes, audio sample formats and so on.

This package contains API Reference for develop with %name.


%prep
%setup -n %bname-%version
subst '/^LQT_OPT_CFLAGS/ s/\[".*"\]/[""]/' configure.ac


%build
%define _optlevel 3
%add_optflags -funroll-all-loops -fomit-frame-pointer -ffast-math
%autoreconf
%configure \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable libpng} \
    %{subst_enable debug} \
    %{subst_with pic} \
    --without-cpuflags
%make_build


%install
%make_install DESTDIR=%buildroot docdir=%_docdir/%name-devel-%version install
%{?_disable_shared: install -m -644 AUTHORS README TODO %buildroot%_docdir/%name-devel-%version/}


%if_enabled shared
%post -p %post_ldconfig
%postun -p %postun_ldconfig
%endif


%if_enabled shared
%files
%doc AUTHORS README TODO
%_libdir/*.so.*
%endif


%files devel
%if_disabled shared
%dir %_docdir/%name-devel-%version
%_docdir/%name-devel-%version/{AUTHORS,README,TODO}
%endif
%{?_enable_shared:%_libdir/*.so}
%_includedir/*
%_libexecdir/%bname
%_pkgconfigdir/*


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%files doc
%dir %_docdir/%name-devel-%version
%_docdir/%name-devel-%version/apiref


%changelog
* Sat Mar 15 2008 Led <led@altlinux.ru> 0.2.7-alt1
- initial build
